package de.ivu.elect.business.ergebniskonflikt.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class ErgebnisKonfliktProperties
{

private final ErgebnisKonflikt entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktArt>
                  ergebnisKonfliktArtProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktArt> ergebnisKonfliktArtMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktStatus>
                  ergebnisKonfliktStatusProperty;

                private de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktStatus> ergebnisKonfliktStatusMitLeererAuswahlProperty;
        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  konfliktBeschreibungProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  loesungBeschreibungProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  loesungVonProperty;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaTimestampProperty
                  loesungZeitpunktProperty;

        
    

public ErgebnisKonfliktProperties(ErgebnisKonflikt entity) {
this.entity = entity;

}

private static ErgebnisKonfliktMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( ErgebnisKonfliktMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktArt>
                getErgebnisKonfliktArtProperty() {
        if (ergebnisKonfliktArtProperty == null) {
        ergebnisKonfliktArtProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getErgebnisKonfliktArtEinzahlMessage(),
        getMetaData().getErgebnisKonfliktArtDefaultValue(),
        getMetaData().isErgebnisKonfliktArtRequired(),
                entity::setErgebnisKonfliktArt,
        entity::getErgebnisKonfliktArt

                    , de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktArt.class,
            java.util.Arrays.asList(de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktArt.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return ergebnisKonfliktArtProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktArt> getErgebnisKonfliktArtMitLeererAuswahlProperty() {
               if (ergebnisKonfliktArtMitLeererAuswahlProperty == null) {
                 ergebnisKonfliktArtMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getErgebnisKonfliktArtEinzahlMessage(),
        				getMetaData().getErgebnisKonfliktArtDefaultValue(),
                        getMetaData().isErgebnisKonfliktArtRequired(),
                        entity::setErgebnisKonfliktArt,
                        entity::getErgebnisKonfliktArt
                        , de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktArt.class,
                        java.util.Arrays.asList(de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktArt.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return ergebnisKonfliktArtMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktStatus>
                getErgebnisKonfliktStatusProperty() {
        if (ergebnisKonfliktStatusProperty == null) {
        ergebnisKonfliktStatusProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
        
        (
        getMetaData().getErgebnisKonfliktStatusEinzahlMessage(),
        getMetaData().getErgebnisKonfliktStatusDefaultValue(),
        getMetaData().isErgebnisKonfliktStatusRequired(),
                entity::setErgebnisKonfliktStatus,
        entity::getErgebnisKonfliktStatus

                    , de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktStatus.class,
            java.util.Arrays.asList(de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktStatus.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                );

        }


        return ergebnisKonfliktStatusProperty;
        }





        

            public de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktStatus> getErgebnisKonfliktStatusMitLeererAuswahlProperty() {
               if (ergebnisKonfliktStatusMitLeererAuswahlProperty == null) {
                 ergebnisKonfliktStatusMitLeererAuswahlProperty = new
                de.ivu.elect.jee.presentation.dynamicform.LambdaEnumProperty<>
                    (
                        getMetaData().getErgebnisKonfliktStatusEinzahlMessage(),
        				getMetaData().getErgebnisKonfliktStatusDefaultValue(),
                        getMetaData().isErgebnisKonfliktStatusRequired(),
                        entity::setErgebnisKonfliktStatus,
                        entity::getErgebnisKonfliktStatus
                        , de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktStatus.class,
                        java.util.Arrays.asList(de.ivu.elect.business.ergebnis.entity.ErgebnisKonfliktStatus.values()).stream().sorted(Enum::compareTo).collect(java.util.stream.Collectors.toList())
                        ,true
                    );
            }

               return ergebnisKonfliktStatusMitLeererAuswahlProperty;
            }
        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getKonfliktBeschreibungProperty() {
        if (konfliktBeschreibungProperty == null) {
        konfliktBeschreibungProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getKonfliktBeschreibungEinzahlMessage(),
        getMetaData().getKonfliktBeschreibungDefaultValue(),
        getMetaData().isKonfliktBeschreibungRequired(),
                entity::setKonfliktBeschreibung,
        entity::getKonfliktBeschreibung

                    , 0 ,
            de.ivu.elect.business.ergebniskonflikt.entity.ErgebnisKonfliktConstants.KONFLIKT_BESCHREIBUNG_MAX_LENGTH
                );

        }


        return konfliktBeschreibungProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getLoesungBeschreibungProperty() {
        if (loesungBeschreibungProperty == null) {
        loesungBeschreibungProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getLoesungBeschreibungEinzahlMessage(),
        getMetaData().getLoesungBeschreibungDefaultValue(),
        getMetaData().isLoesungBeschreibungRequired(),
                entity::setLoesungBeschreibung,
        entity::getLoesungBeschreibung

                    , 0 ,
            de.ivu.elect.business.ergebniskonflikt.entity.ErgebnisKonfliktConstants.LOESUNG_BESCHREIBUNG_MAX_LENGTH
                );

        }


        return loesungBeschreibungProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getLoesungVonProperty() {
        if (loesungVonProperty == null) {
        loesungVonProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getLoesungVonEinzahlMessage(),
        getMetaData().getLoesungVonDefaultValue(),
        getMetaData().isLoesungVonRequired(),
                entity::setLoesungVon,
        entity::getLoesungVon

                    , 0 ,
            de.ivu.elect.business.ergebniskonflikt.entity.ErgebnisKonfliktConstants.LOESUNG_VON_MAX_LENGTH
                );

        }


        return loesungVonProperty;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractTimestampProperty
                getLoesungZeitpunktProperty() {
        if (loesungZeitpunktProperty == null) {
        loesungZeitpunktProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaTimestampProperty
        
        (
        getMetaData().getLoesungZeitpunktEinzahlMessage(),
        getMetaData().getLoesungZeitpunktDefaultValue(),
        getMetaData().isLoesungZeitpunktRequired(),
                entity::setLoesungZeitpunkt,
        entity::getLoesungZeitpunkt

                );

        }


        return loesungZeitpunktProperty;
        }





        
        }